<?php
/**
 * $Source: /home/cvs/nukescripts/admin/modules/promotion.php,v $
 * $Revision: 1.0.0-2 $
 * $Author: cyril $
 * $Date: 2007/01/17 11:26:34 $
 */
/************************************************************************/
/* Maximus CMS: Web Portal System                                       */
/* ==============================                                       */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.php-maximus.fr                                            */
/* dev@php-maximus.org                                                  */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* Based on PHP-NUKE: Web Portal System                                 */
/************************************************************************/
if (!defined('ADMIN_ALLOW') && !defined('ADMIN_MAX')) {
	die ("Access Denied");
}
global $admin_file;
$aid = substr("$aid", 0,25);
$row = $GLOBALS['db']->sql_fetchrow($GLOBALS['db']->sql_query("SELECT `radminsuper` FROM `".TABLE_AUTHORS."` WHERE `aid`='$aid'"));
$acces = $GLOBALS['db']->XMFbin($row['radminsuper']);
if ($acces == 1) {

if (!is_god($admin)) {
incoh();
br('1');
Max_OpenTable();
echo "<center>"._ACCESSONLYADMINGOD."</center><br /><br />"
    .""._GOBACK."";
Max_CloseTable();
incof();
die ("Access Denied");}

get_adminlang("authors");

 if($admintest && $adminsecu)  {
       switch ($op) {

	case 'promotion':include_once('admin/modules/promotion/MainPromotion.php');break;
	case 'promotion_save':include_once('admin/modules/promotion/PromotionSave.php');break;
	case 'modifypromotion':include_once('admin/modules/promotion/ModifyPromotion.php');break;
	case 'UpdatePromotion':include_once('admin/modules/promotion/UpdatePromotion.php');break;
	case 'delpromotion':include_once('admin/modules/promotion/delpromotion.php');break;
	case 'delpromotion2':include_once('admin/modules/promotion/delpromotion2.php');break;
	case 'delpromotionconf':include_once('admin/modules/promotion/delpromotionconf.php');break;
	case 'downgradegod':include_once('admin/modules/promotion/downgradegod.php');break;
	case 'upgradegod':include_once('admin/modules/promotion/upgradegod.php');break;

	}
}
} else {
	echo "Access Denied";
}